Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.core.query
Class OslcSearchTermsLexer

    java.lang.Object
      org.antlr.runtime.BaseRecognizer
          org.antlr.runtime.Lexer
              org.eclipse.lyo.core.query.OslcSearchTermsLexer

All Implemented Interfaces:
  org.antlr.runtime.TokenSource

    public class OslcSearchTermsLexer

extends org.antlr.runtime.Lexer

Field Summary
`static int` | `COMMA`
`static int` | `ECHAR`
`static int` | `EOF`
`static int` | `EOL`
`static int` | `STRING_LIST`
`static int` | `STRING_LITERAL`
`static int` | `WS`

Fields inherited from class org.antlr.runtime.Lexer
`input`

Fields inherited from class org.antlr.runtime.BaseRecognizer
`DEFAULT_TOKEN_CHANNEL, HIDDEN, INITIAL_FOLLOW_STACK_SIZE, MEMO_RULE_FAILED, MEMO_RULE_UNKNOWN, NEXT_TOKEN_RULE_NAME, state`

Constructor Summary
`OslcSearchTermsLexer()`
`OslcSearchTermsLexer(org.antlr.runtime.CharStream input)`
`OslcSearchTermsLexer(org.antlr.runtime.CharStream input, org.antlr.runtime.RecognizerSharedState state)`

Method Summary
`String` | `getGrammarFileName()`
`void` | `mCOMMA()`
`void` | `mECHAR()`
`void` | `mEOL()`
`void` | `mSTRING_LIST()`
`void` | `mSTRING_LITERAL()`
`void` | `mTokens()`
`void` | `mWS()`

Methods inherited from class org.antlr.runtime.Lexer
`emit, emit, getCharErrorDisplay, getCharIndex, getCharPositionInLine, getCharStream, getErrorMessage, getLine, getSourceName, getText, match, match, matchAny, matchRange, nextToken, recover, reportError, reset, setCharStream, setText, skip, traceIn, traceOut`

Methods inherited from class org.antlr.runtime.BaseRecognizer
`alreadyParsedRule, beginResync, combineFollows, computeContextSensitiveRuleFOLLOW, computeErrorRecoverySet, consumeUntil, consumeUntil, displayRecognitionError, emitErrorMessage, endResync, failed, getBacktrackingLevel, getCurrentInputSymbol, getErrorHeader, getMissingSymbol, getNumberOfSyntaxErrors, getRuleInvocationStack, getRuleInvocationStack, getRuleMemoization, getRuleMemoizationCacheSize, getTokenErrorDisplay, getTokenNames, match, matchAny, memoize, mismatchIsMissingToken, mismatchIsUnwantedToken, pushFollow, recover, recoverFromMismatchedSet, recoverFromMismatchedToken, setBacktrackingLevel, toStrings, traceIn, traceOut`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRING_LIST

    public static final int STRING_LIST

See Also:
  Constant Field Values

### STRING_LITERAL

    public static final int STRING_LITERAL

See Also:
  Constant Field Values

### EOL

    public static final int EOL

See Also:
  Constant Field Values

### WS

    public static final int WS

See Also:
  Constant Field Values

### COMMA

    public static final int COMMA

See Also:
  Constant Field Values

### EOF

    public static final int EOF

See Also:
  Constant Field Values

### ECHAR

    public static final int ECHAR

See Also:
  Constant Field Values

Constructor Detail

### OslcSearchTermsLexer

    public OslcSearchTermsLexer()

### OslcSearchTermsLexer

    public OslcSearchTermsLexer(org.antlr.runtime.CharStream input)

### OslcSearchTermsLexer

    public OslcSearchTermsLexer(org.antlr.runtime.CharStream input,
                                org.antlr.runtime.RecognizerSharedState state)

Method Detail

### getGrammarFileName

    public String getGrammarFileName()

  Overrides:
    `getGrammarFileName` in class `org.antlr.runtime.BaseRecognizer`

### mSTRING_LIST

    public final void mSTRING_LIST()
                            throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mWS

    public final void mWS()
                   throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mEOL

    public final void mEOL()
                    throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mSTRING_LITERAL

    public final void mSTRING_LITERAL()
                               throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mECHAR

    public final void mECHAR()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mCOMMA

    public final void mCOMMA()
                      throws org.antlr.runtime.RecognitionException

  Throws:
    `org.antlr.runtime.RecognitionException`

### mTokens

    public void mTokens()
                 throws org.antlr.runtime.RecognitionException

  Specified by:
    `mTokens` in class `org.antlr.runtime.Lexer`
  Throws:
    `org.antlr.runtime.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.